> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/powershell-commands/unlock-rdmrepository.md).

# Unlock-RDMRepository

### Synopsis

Unlock the vault to be loaded

### Syntax

#### \_\_AllParameterSets

```
Unlock-RDMRepository [-Password] <PSPassword> [<CommonParameters>]
```

### Description

Unlock the vault to load it. If this fails, the user will be prompted for the password.

### Examples

#### Example 1

```powershell
PS C:\> Unlock-RDMRepository -Password 'pa$sWord!'
PS C:\> Get-RDMDataSource -Name 'myWorkspaceWithOnlyProtectedVaults' | Set-RDMCurrentDataSource
```

Unlock the last used vault in the workspace named 'myWorkspaceWithOnlyProtectedVaults before accessing it'

#### Example 2

```powershell
PS C:\> Unlock-RDMRepository -Password (ConvertTo-SecureString -AsPlainText -String 'pa$sWord!')
PS C:\> Get-RDMVault -Name 'myLockedVault' | Set-RDMCurrentVault
```

Unlock the vault 'myLockedVault' before accessing it'

### Parameters

#### -Password

Password to unlock the vault. Accepts a string or SecureString.

```yaml
Type: RemoteDesktopManager.PowerShellModule.PSOutputObject.PSPassword
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: 0
  IsRequired: true
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

This cmdlet supports the common parameters: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction, and -WarningVariable. For more information, see [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Notes

For more information, type "Get-Help Unlock-RDMRepository -detailed". For technical information, type "Get-Help Unlock-RDMRepository -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell/powershell-commands/unlock-rdmrepository.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
